=== debian/changelog ===
minetest (0.3.1+dfsg-4) unstable; urgency=low

  * add a breaks minetest << 0.3.1+dfsg-3 to appropriately handle upgrades
    after the package split (closes: #670208)

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 25 Apr 2012 16:04:01 -0400

minetest (0.3.1+dfsg-3) unstable; urgency=low

  * use debhelper 9 and simplify build hardening
  * update my email address
  * bump standards to 3.9.3
  * build-depend on libpng-dev instead of libpng12-dev (closes: #662432)
  * fix gcc 4.7 build failure (closes: #667280)
  * split the server into its own package (closes: #668004)
  * move binaries to /usr/games in install files

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 21 Apr 2012 15:52:14 -0400

minetest (0.3.1+dfsg-2) unstable; urgency=low

  * Fix freedesktop menu "Type" entry.
  * Use "uscan --force-download" in get-orig-source rule.
  * Update homepage location in watch file.
  * Add missing libsqlite3-dev build-dep

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Tue, 29 Nov 2011 18:42:07 -0500

minetest (0.3.1+dfsg-1) unstable; urgency=low

  * Update homepage.
  * Build against jthread 1.3.1.
  * Implement get-orig-source to generate dfsg-free upstream tarball.
  * Build using dfsg-free tarball.
  * Install freedesktop menu and icons.
  * Fix watch file for dfsg name.
  * Install to /usr/games.
  * Add a debug package.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 26 Nov 2011 22:27:53 -0500

minetest (0.3.1-1) unstable; urgency=low

  * New upstream release:
    - Refresh patches.
  * Dynamically link to irrlicht.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 26 Nov 2011 20:08:08 -0500

minetest (0.2.20110922.3-1) UNRELEASED; urgency=low

  * New upstream release.
  * Disable DM-Upload-Allowed.
  * Add some more copyright info.
  * Remove embedded sqlite code copy.
  * Enable all build-hardening flags.
  * Use system jthread library.
  * Fix dep5 url format.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Mon, 21 Nov 2011 00:42:06 -0500

minetest (0.2.20110731.3-2) UNRELEASED; urgency=low

  * Update watch file.
  * Add permanent manpages.
  * Support parallel builds.
  * Remove vcs files in clean rule.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 28 Oct 2011 19:46:35 -0400

minetest (0.2.20110731.3-1) UNRELEASED; urgency=low

  * Initial release (Closes: #636293).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Mon, 12 Sep 2011 23:43:55 -0400
