=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//g" \
  http://c55.me/minetest/download.php \
  https://github.com/celeron55/minetest/tarball/(\d.*)
