=== debian/changelog ===
minetest (0.4.6+repack-4) unstable; urgency=low

  * Team upload.

  [Matthew Bekkema]
  * Fix build on big endian architectures.
  
  [Martin Quinson]
  * minetest Suggests minetest-server (Closes: #674121)
  * Conflicts with unofficial minetestc55 (LP: #1162551)

 -- Martin Quinson <mquinson@debian.org>  Fri, 19 Apr 2013 10:06:45 +0200

minetest (0.4.6+repack-3) unstable; urgency=low

  * Team upload.

  [Matthew Bekkema]
  * Fix build on kfreebsd, and hopefully on sparc
  * Further source repacking to remove unused embeedded libraries from
    tarball.
    
  [Martin Quinson]
  * d/control: update upstream's URL

 -- Martin Quinson <mquinson@debian.org>  Thu, 18 Apr 2013 09:41:54 +0200

minetest (0.4.6+repack-2) unstable; urgency=low

  * Add an upstream changelog found online
  * Ease the upgrade from previous minetest versions -- sorry.

 -- Martin Quinson <mquinson@debian.org>  Wed, 17 Apr 2013 22:09:29 +0200

minetest (0.4.6+repack-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #677517) (LP: #1045322)
    - Player cannot spawn within the rock now (Closes: #693264)
    - Builds with irrlicht 1.8 (Closes: #693277)
  * Repack upstream tarball to re-include the elements that were
    separated "to keep the git repository reasonably sized"

  [Matthew Bekkema]
  * Update existing patches.
  * Use upstream manpages and drop Debian ones.
  * d/rules: various fixes:
    - update the way to get new tarballs
    - copy the icons from the right location
  * d/p/event.patch: new patch to make it compile despite upstream
    editing their included jmutex.h while we use the system-wide one.
  * Be more picky about what should get installed in minetest-common
    to avoid conflicts with minetest.
  * d/copyright: various fixes
    - fix a lintian warning about a duplicated entry
    - upstream switched to LGPL v2 for most files
    - add some missing files
  * d/p/useless-depends.patch: drop useless dependencies reported
    during build by dpkg-shlibdeps
  * d/control: adapt build-deps to drop these dependencies
  
  [Martin Quinson]
  * d/control: Add myself to the uploaders.
  * d/control: rename the minetest-common pkg to minetest-data, as an
    external source package should/will provide minetest.
  * build with cURL, gettext and freetype
  * d/p/i18n: search for translations in the default path
  * Use system-wide fonts, to avoid a warning about not found fonts
  * Use /usr/share/games/minetest instead of /usr/share/minetest
  * Use upstream desktop file and drop Debian one.

 -- Martin Quinson <mquinson@debian.org>  Sun, 14 Apr 2013 20:58:27 +0200
