=== debian/control ===
Source: minetest
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Michael Gilbert <mgilbert@debian.org>,
 Martin Quinson <mquinson@debian.org>	 
Build-Depends:
 debhelper (>= 9),
 cmake,
 gettext,
 imagemagick,
 libcurl4-gnutls-dev,
 libfreetype6-dev,
 libjthread-dev,
 libirrlicht-dev (>= 1.7.0),
 liblua5.1-dev,
 zlib1g-dev,
 libsqlite3-dev,
 libogg-dev,
 libvorbis-dev,
 libopenal-dev,
 libjsoncpp-dev,
Standards-Version: 3.9.3
Homepage: http://minetest.net/
Vcs-Git: git://git.debian.org/git/pkg-games/minetest-v04x.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/minetest-v04x.git

Package: minetest
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 minetest-data (= ${source:Version}),
Conflicts:
 minetestc55,
Suggests:
 minetest-server,
Description: Multiplayer infinite-world block sandbox
 Minetest is a minecraft-inspired game written from scratch and licensed
 under the GPL (version 2 or later). It supports both survival and creative
 modes along with multiplayer support, dynamic lighting, and an "infinite" map
 generator.

Package: minetest-dbg
Architecture: any
Section: debug
Depends:
 ${misc:Depends},
 minetest (= ${binary:Version}),
 minetest-server (= ${binary:Version}),
Description: InfiniMiner/Minecraft-inspired open game world (debugging symbols)
 Minetest is a minecraft-inspired game written from scratch and licensed
 under the GPL (version 2 or later). It supports both survival and creative
 modes along with multiplayer support, dynamic lighting, and an "infinite" map
 generator.
 .
 These are the debugging symbols in case something goes wrong.

Package: minetest-server
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 minetest-data (= ${source:Version}),
Description: InfiniMiner/Minecraft-inspired open game world (server)
 Minetest is a minecraft-inspired game written from scratch and licensed
 under the GPL (version 2 or later). It supports both survival and creative
 modes along with multiplayer support, dynamic lighting, and an "infinite" map
 generator.
 .
 This is the minetest server package.

Package: minetest-data
Architecture: all
Depends:
 ${misc:Depends},
 fonts-liberation,
Breaks:
 minetest (<< 0.3.1+dfsg-3),
 minetest-common
Conflicts:
 minetest-common
Replaces:
 minetest-common
Description: Multiplayer infinite-world block sandbox (data files)
 Minetest is a minecraft-inspired game written from scratch and licensed
 under the GPL (version 2 or later). It supports both survival and creative
 modes along with multiplayer support, dynamic lighting, and an "infinite" map
 generator.
 .
 These are the files used by both client and server packages, such as
 the textures and other graphical files and the standard mods.
